import React from 'react';
import { defaultProps } from './props/defaultProps';
import { propTypes } from './props/propTypes';
import cssJSLogic from './css/cssJSLogic';
import { mergeStyle } from '@zohodesk/utils';
import defaultStyle from './css/Typography.module.css';

const Typography = props => {
  const {
    children,
    $ui_tagName,
    $i18n_dataTitle,
    testId,
    customId,
    tagAttributes,
    a11yAttributes,
    customStyle
  } = props;
  const style = mergeStyle(defaultStyle, customStyle);
  const {
    typographyClass
  } = cssJSLogic({
    props,
    style
  });
  return /*#__PURE__*/React.createElement($ui_tagName, {
    className: typographyClass,
    'data-title': $i18n_dataTitle,
    'data-id': customId,
    'data-test-id': testId,
    ...tagAttributes,
    ...a11yAttributes
  }, children);
};

Typography.propTypes = propTypes;
Typography.defaultProps = defaultProps;
export default Typography;